petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCMGMultiplicativeSetCycles

Sets the number of cycles to use for each preconditioner step of multigrid when PCMGType of PC_MG_MULTIPLICATIVE is used

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGMultiplicativeSetCycles(PC pc,PetscInt n)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| n | - number of cycles (default is 1)

### Options Database Key

-pc_mg_multiplicative_cycles n -

Notes: This is not associated with setting a v or w cycle, that is set with PCMGSetCycleType()

### Keywords

MG, set, cycles, V-cycle, W-cycle, multigrid

### See Also

PCMGSetCycleTypeOnLevel(), PCMGSetCycleType()

Level:advanced
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages